"""empty message

Revision ID: cc0799ce0d56
Revises: 25baec1c4f16
Create Date: 2021-11-08 19:36:50.053417

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'cc0799ce0d56'
down_revision = '25baec1c4f16'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('car_model_keyword_cs_record',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('car_model_keyword_id', sa.Integer(), nullable=False),
    sa.Column('customer_service_record_id', sa.Integer(), nullable=False),
    sa.Column('count', sa.Integer(), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.ForeignKeyConstraint(['car_model_keyword_id'], ['car_model_keyword.id'], ),
    sa.ForeignKeyConstraint(['customer_service_record_id'], ['customer_service_record.id'], ),
    sa.PrimaryKeyConstraint('id', 'car_model_keyword_id', 'customer_service_record_id'),
    mysql_engine='InnoDB'
    )
    op.add_column('customer_service_record', sa.Column('contents', sa.Text(), nullable=True))
    op.drop_index('case_id', table_name='customer_service_record')
    op.drop_column('customer_service_record', 'case_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('customer_service_record', sa.Column('case_id', mysql.VARCHAR(length=255), nullable=False))
    op.create_index('case_id', 'customer_service_record', ['case_id'], unique=False)
    op.drop_column('customer_service_record', 'contents')
    op.drop_table('car_model_keyword_cs_record')
    # ### end Alembic commands ###
